io.vertx.rxjava.ext.web

## Class FileUpload

- java.lang.Object
- - io.vertx.rxjava.ext.web.FileUpload

-     public class FileUpload
      extends Object

  Represents a file-upload from an HTTP multipart form submission.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileUpload(FileUpload delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `charSet()`
    `String` | `contentTransferEncoding()`
    `String` | `contentType()`
    `String` | `fileName()`
    `Object` | `getDelegate()`
    `String` | `name()`
    `static FileUpload` | `newInstance(FileUpload arg)`
    `long` | `size()`
    `String` | `uploadedFileName()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileUpload

          public FileUpload(FileUpload delegate)

  - ### Method Detail

    - #### getDelegate

          public Object getDelegate()

    - #### name

          public String name()

      Returns:
        the name of the upload as provided in the form submission

    - #### uploadedFileName

          public String uploadedFileName()

      Returns:
        the actual temporary file name on the server where the file was uploaded to.

    - #### fileName

          public String fileName()

      Returns:
        the file name of the upload as provided in the form submission

    - #### size

          public long size()

      Returns:
        the size of the upload, in bytes

    - #### contentType

          public String contentType()

      Returns:
        the content type (MIME type) of the upload

    - #### contentTransferEncoding

          public String contentTransferEncoding()

      Returns:
        the content transfer encoding of the upload - this describes how the upload was encoded in the form submission.

    - #### charSet

          public String charSet()

      Returns:
        the charset of the upload

    - #### newInstance

          public static FileUpload newInstance(FileUpload arg)

Copyright © 2016. All rights reserved.